"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "hs-radio-picker-enum",
  props: [
    "Enums",
    "title",
    "pickerIndex",
    "value",
    "borderTop",
    "required",
    "disabled",
    "tip",
    "key",
    "des",
    "padding",
    "valueModel",
    "placeholder"
  ],
  emits: ["change", "update:valueModel"],
  setup(__props, { emit }) {
    const props = __props;
    const selectValue = common_vendor.ref("");
    const onChange = (e) => {
      console.log("e", e, props == null ? void 0 : props.Enums);
      let selectData = props == null ? void 0 : props.Enums[e == null ? void 0 : e.detail.value];
      selectValue.value = selectData == null ? void 0 : selectData.name;
      emit("update:valueModel", (selectData == null ? void 0 : selectData.value) || "");
      emit("change", selectData);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.t(selectValue.value || (props == null ? void 0 : props.title)),
        b: common_vendor.p({
          type: "down",
          color: "#333",
          size: "12"
        }),
        c: props == null ? void 0 : props.Enums,
        d: (props == null ? void 0 : props.key) || "name",
        e: props == null ? void 0 : props.disabled,
        f: common_vendor.o(onChange)
      };
    };
  }
});
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7dd7deb4"], ["__file", "/Users/zsq/Sources/github/2025property-pay/pay-employee/src/components/hs-radio-picker-enum/hs-radio-picker-enum.vue"]]);
wx.createComponent(Component);
